function splash() {
	
	if (navigator) {
					if (navigator.language) {
									language = navigator.language;
					} else if (navigator.browserLanguage) {
									language = navigator.browserLanguage;
					} else if (navigator.systemLanguage) {
									language = navigator.systemLanguage;
					} else if (navigator.userLanguage) {
									language = navigator.userLanguage;
					}
					language = language.substr(0, 2);
	}

	if (localStorage.getItem('lang') != null) {
		language = localStorage.getItem('lang');
	}

	switch (language) {
		case 'en':
			redir('en_US');
			break;
		case 'en-US':
			redir('en_US');
			break;
		case 'de':
			redir('de_DE');
			break;
		case 'de-DE':
			redir('de_DE');
			break;
		case 'fr':
			redir('fr_FR');
			break;
		case 'fr-FR':
			redir('fr_FR');
			break;
		case 'cs':
			redir('cs_CZ');
			break;
		case 'cs-CZ':
			redir('cs_CZ');
			break;
		case 'sk':
			redir('sk_SK');
			break;
		case 'sk-SK':
			redir('sk_SK');
			break;
		case 'pl':
			redir('pl_PL');
			break;
		case 'pl-PL':
			redir('pl_PL');
			break;
		case 'es':
			redir('es_ES');
			break;
		case 'es-ES':
			redir('es_ES');
			break;
		case 'nl':
			redir('nl_NL');
			break;
		case 'nl-NL':
			redir('nl_NL');
			break;
		case 'ru':
			redir('ru_RU');
			break;
		case 'ru-RU':
			redir('ru_RU');
			break;
		case 'et':
			redir('et_EE');
			break;
		case 'et-EE':
			redir('et_EE');
			break;
		case 'sv':
			redir('sv_SE');
			break;
		case 'sv-SE':
			redir('sv_SE');
			break;
		case 'pt-rBR':
			redir('pt_BR');
			break;
		case 'pt-BR':
			redir('pt_BR');
			break;
		default:
			redir('en_US');
			break;
	}
};

function redir(lang){
	if(window.outerWidth > window.outerHeight){
		window.location.replace(lang + "/tableview.html");
	}else{
		window.location.replace(lang + "/index.html");
	}
}

setTimeout(splash,200);
